List Contacts
/unified/ticketing/contacts
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
Either one of emails or phones can be specified for filtering.
29 supported
The email of the contact
The type of the email
Either one of emails or phones can be specifiec for filtering.
22 supported
The extension of the phone number
The phone of the contact
The type of the phone
The date the contact was created
22 supported
The date the contact was last updated
19 supported
The first name of the contact
17 supported
The last name of the contact
17 supported
The account id of the contact
8 supported
4 supported1 required
The name of the contact
29 supported
created_atfirst_namelast_nameupdated_at
3 supported
first_namelast_nameupdated_atcreated_atcreated_atThe date the contact was created
ascdesc
1 supported
The date the contact was last updated
ascdesc
1 supported
1 supported
instagramtwitter
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Contacts
The unique identifier for a contact
30 supported
The account id of the contact
8 supported
The date the contact was created
22 supported
All the custom fields present on the contact
9 supported
The details of the contact
8 supported
The emails of the contact
29 supported
2 properties
The email of the contact
The type of the email
The unique identifier for the specific version of the resource.
The first name of the contact
17 supported
Whether the contact is active or not
6 supported
The last name of the contact
17 supported
The name of the contact
29 supported
The phone numbers of the contact
22 supported
3 properties
The extension of the phone number
The phone of the contact
The type of the phone
Raw data returned from the remote API call.
The date the contact was last updated
19 supported
curl -X GET 'https://api.truto.one/unified/ticketing/contacts?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/ticketing/contacts?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ticketing/contacts"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'ticketing',
'contacts',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"ticketing",
"contacts",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())